Cantera 2.6.0

Public Member Functions | Private Attributes | List of all members
PyFuncInfo Class Reference

A class to hold information needed to call Python functions from delgated methods (see class Delegator). More...

`#include <funcWrapper.h>`

## Public Member Functions
| PyFuncInfo (const PyFuncInfo &other)
PyObject * | func ()
void | setFunc (PyObject *f)
PyObject * | exceptionType ()
void | setExceptionType (PyObject *obj)
PyObject * | exceptionValue ()
void | setExceptionValue (PyObject *obj)

## Private Attributes
PyObject * | m_func
PyObject * | m_exception_type
PyObject * | m_exception_value

## Detailed Description

A class to hold information needed to call Python functions from delgated methods (see class Delegator).

Definition at line 19 of file funcWrapper.h.

## Constructor & Destructor Documentation

## ◆ PyFuncInfo() [1/2]

PyFuncInfo | ( |  | ) |
| inline

Definition at line 21 of file funcWrapper.h.

## ◆ PyFuncInfo() [2/2]

PyFuncInfo | ( | const PyFuncInfo & | other | ) |
| inline

Definition at line 28 of file funcWrapper.h.

## ◆ ~PyFuncInfo()

~PyFuncInfo | ( |  | ) |
| inline

Definition at line 37 of file funcWrapper.h.

## Member Function Documentation

## ◆ func()

PyObject * func | ( |  | ) |
| inline

Definition at line 42 of file funcWrapper.h.

## ◆ setFunc()

void setFunc | ( | PyObject * | f | ) |
| inline

Definition at line 45 of file funcWrapper.h.

## ◆ exceptionType()

PyObject * exceptionType | ( |  | ) |
| inline

Definition at line 49 of file funcWrapper.h.

## ◆ setExceptionType()

void setExceptionType | ( | PyObject * | obj | ) |
| inline

Definition at line 52 of file funcWrapper.h.

## ◆ exceptionValue()

PyObject * exceptionValue | ( |  | ) |
| inline

Definition at line 58 of file funcWrapper.h.

## ◆ setExceptionValue()

void setExceptionValue | ( | PyObject * | obj | ) |
| inline

Definition at line 61 of file funcWrapper.h.

## Member Data Documentation

## ◆ m_func

PyObject* m_func
| private

Definition at line 68 of file funcWrapper.h.

## ◆ m_exception_type

PyObject* m_exception_type
| private

Definition at line 69 of file funcWrapper.h.

## ◆ m_exception_value

PyObject* m_exception_value
| private

Definition at line 70 of file funcWrapper.h.

The documentation for this class was generated from the following file:

- funcWrapper.h